io.vertx.ext.stomp

## Enum Command

- java.lang.Object
- - java.lang.Enum<Command>
  - - io.vertx.ext.stomp.Command

- All Implemented Interfaces:
    Serializable, Comparable<Command>

      public enum Command
      extends Enum<Command>

  The list of command defined by the STOMP specification. It also contains a `PING` command used for heartbeat. It should not be used in frames (as it's not a valid command).

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ABORT`
    `ACK`
    `BEGIN`
    `COMMIT`
    `CONNECT`
    `CONNECTED`
    `DISCONNECT`
    `ERROR`
    `MESSAGE`
    `NACK`
    `PING`
    `RECEIPT`
    `SEND`
    `STOMP`
    `SUBSCRIBE`
    `UNKNOWN`
    `UNSUBSCRIBE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Command` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Command[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CONNECT

          public static final Command CONNECT

    - #### CONNECTED

          public static final Command CONNECTED

    - #### STOMP

          public static final Command STOMP

    - #### SEND

          public static final Command SEND

    - #### SUBSCRIBE

          public static final Command SUBSCRIBE

    - #### UNSUBSCRIBE

          public static final Command UNSUBSCRIBE

    - #### ACK

          public static final Command ACK

    - #### NACK

          public static final Command NACK

    - #### BEGIN

          public static final Command BEGIN

    - #### COMMIT

          public static final Command COMMIT

    - #### ABORT

          public static final Command ABORT

    - #### DISCONNECT

          public static final Command DISCONNECT

    - #### MESSAGE

          public static final Command MESSAGE

    - #### RECEIPT

          public static final Command RECEIPT

    - #### ERROR

          public static final Command ERROR

    - #### PING

          public static final Command PING

    - #### UNKNOWN

          public static final Command UNKNOWN

  - ### Method Detail

    - #### values

          public static Command[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Command c : Command.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Command valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2023 Eclipse. All rights reserved.